<?php
/**
 * @file
 * ocio_panels_settings.features.features_overrides.inc
 */

/**
 * Implements hook_features_override_default_overrides().
 */
function ocio_panels_settings_features_override_default_overrides() {
  // This code is only used for UI in features. Exported alters hooks do the magic.
  $overrides = array();

  // Exported overrides for: field_instance
  $overrides["field_instance.fieldable_panels_pane-image-field_basic_image_image.display|default|settings|image_style"] = 'image_style_full';
  $overrides["field_instance.fieldable_panels_pane-image-field_basic_image_image.ds_extras_field_template"] = '';
  $overrides["field_instance.fieldable_panels_pane-image-field_basic_image_image.widget|module"] = 'media';
  $overrides["field_instance.fieldable_panels_pane-image-field_basic_image_image.widget|settings|allowed_schemes"] = array(
    'public' => 'public',
    'vimeo' => 0,
    'youtube' => 0,
  );
  $overrides["field_instance.fieldable_panels_pane-image-field_basic_image_image.widget|settings|allowed_types"] = array(
    'audio' => 0,
    'document' => 0,
    'image' => 'image',
    'video' => 0,
  );
  $overrides["field_instance.fieldable_panels_pane-image-field_basic_image_image.widget|settings|browser_plugins"] = array(
    'media_default--media_browser_1' => 'media_default--media_browser_1',
    'media_default--media_browser_my_files' => 'media_default--media_browser_my_files',
    'media_internet' => 0,
    'upload' => 'upload',
    'youtube' => 0,
  );
  $overrides["field_instance.fieldable_panels_pane-image-field_basic_image_image.widget|settings|manualcrop_instant_crop"] = FALSE;
  $overrides["field_instance.fieldable_panels_pane-image-field_basic_image_image.widget|settings|manualcrop_styles_list|panopoly_image_full"]["DELETED"] = TRUE;
  $overrides["field_instance.fieldable_panels_pane-image-field_basic_image_image.widget|settings|preview_image_style"]["DELETED"] = TRUE;
  $overrides["field_instance.fieldable_panels_pane-image-field_basic_image_image.widget|settings|progress_indicator"]["DELETED"] = TRUE;
  $overrides["field_instance.fieldable_panels_pane-image-field_basic_image_image.widget|type"] = 'media_generic';

  // Exported overrides for: page_manager_handlers
  $overrides["page_manager_handlers.node_edit_panel_context.conf|display|content|new-1c073329-7f76-4b25-bdb5-ed6681a78019"] = (object) array(
      'pid' => 'new-1c073329-7f76-4b25-bdb5-ed6681a78019',
      'panel' => 'contentmain',
      'type' => 'entity_form_field',
      'subtype' => 'node:field_tags',
      'shown' => TRUE,
      'access' => array(),
      'configuration' => array(
        'label' => '',
        'formatter' => '',
        'context' => 'argument_node_edit_1',
        'override_title' => 0,
        'override_title_text' => '',
      ),
      'cache' => array(),
      'style' => array(
        'settings' => NULL,
      ),
      'css' => array(),
      'extras' => array(),
      'position' => 3,
      'locks' => array(),
      'uuid' => '1c073329-7f76-4b25-bdb5-ed6681a78019',
    );
  $overrides["page_manager_handlers.node_edit_panel_context.conf|display|content|new-373bd769-1e08-4ec5-85b6-0a1d2fc759fd|panel"] = 'contentmain';
  $overrides["page_manager_handlers.node_edit_panel_context.conf|display|content|new-373bd769-1e08-4ec5-85b6-0a1d2fc759fd|position"] = 2;
  $overrides["page_manager_handlers.node_edit_panel_context.conf|display|content|new-51126c95-cf51-4ad6-a27a-11e4260d8023|position"] = 0;
  $overrides["page_manager_handlers.node_edit_panel_context.conf|display|content|new-565b11a0-d67b-4d9f-843f-908988b830dd"] = (object) array(
      'pid' => 'new-565b11a0-d67b-4d9f-843f-908988b830dd',
      'panel' => 'sidebar',
      'type' => 'node_form_log',
      'subtype' => 'node_form_log',
      'shown' => TRUE,
      'access' => array(),
      'configuration' => array(
        'context' => 'argument_node_edit_1',
        'override_title' => 1,
        'override_title_text' => '',
      ),
      'cache' => array(),
      'style' => array(
        'settings' => NULL,
      ),
      'css' => array(),
      'extras' => array(),
      'position' => 6,
      'locks' => array(),
      'uuid' => '565b11a0-d67b-4d9f-843f-908988b830dd',
    );
  $overrides["page_manager_handlers.node_edit_panel_context.conf|display|content|new-6e4a98d8-3738-41b9-8c33-4b4c905c6834|position"] = 4;
  $overrides["page_manager_handlers.node_edit_panel_context.conf|display|content|new-9176b962-e64f-44a6-8ebe-e03ebf0f6c3d|position"] = 3;
  $overrides["page_manager_handlers.node_edit_panel_context.conf|display|content|new-99f6c0bd-36fd-411b-9833-c0be0fab7548|position"] = 1;
  $overrides["page_manager_handlers.node_edit_panel_context.conf|display|content|new-c0926cca-059c-4bb1-bccd-2838ec7a93f2|position"] = 5;
  $overrides["page_manager_handlers.node_edit_panel_context.conf|display|content|new-e38ab3a3-24d0-4ac2-900e-4ddb0248be0c|position"] = 2;
  $overrides["page_manager_handlers.node_edit_panel_context.conf|display|content|new-fb4920fb-24fa-425e-b6fc-958b5ccd2d52|position"] = 4;
  $overrides["page_manager_handlers.node_edit_panel_context.conf|display|layout"] = 'ocio-omega-twocol-flipped';
  $overrides["page_manager_handlers.node_edit_panel_context.conf|display|panel_settings|style_settings|footer"] = NULL;
  $overrides["page_manager_handlers.node_edit_panel_context.conf|display|panel_settings|style_settings|header"] = NULL;
  $overrides["page_manager_handlers.node_edit_panel_context.conf|display|panels|contentmain|3"] = 'new-373bd769-1e08-4ec5-85b6-0a1d2fc759fd';
  $overrides["page_manager_handlers.node_edit_panel_context.conf|display|panels|contentmain|4"] = 'new-1c073329-7f76-4b25-bdb5-ed6681a78019';
  $overrides["page_manager_handlers.node_edit_panel_context.conf|display|panels|sidebar|0"] = 'new-51126c95-cf51-4ad6-a27a-11e4260d8023';
  $overrides["page_manager_handlers.node_edit_panel_context.conf|display|panels|sidebar|1"] = 'new-99f6c0bd-36fd-411b-9833-c0be0fab7548';
  $overrides["page_manager_handlers.node_edit_panel_context.conf|display|panels|sidebar|2"] = 'new-e38ab3a3-24d0-4ac2-900e-4ddb0248be0c';
  $overrides["page_manager_handlers.node_edit_panel_context.conf|display|panels|sidebar|3"] = 'new-9176b962-e64f-44a6-8ebe-e03ebf0f6c3d';
  $overrides["page_manager_handlers.node_edit_panel_context.conf|display|panels|sidebar|4"] = 'new-6e4a98d8-3738-41b9-8c33-4b4c905c6834';
  $overrides["page_manager_handlers.node_edit_panel_context.conf|display|panels|sidebar|5"] = 'new-c0926cca-059c-4bb1-bccd-2838ec7a93f2';
  $overrides["page_manager_handlers.node_edit_panel_context.conf|display|panels|sidebar|6"] = 'new-565b11a0-d67b-4d9f-843f-908988b830dd';

 return $overrides;
}
