<?php
/**
 * @file
 * ocio_user_directory.features.inc
 */

/**
 * Implements hook_ctools_plugin_api().
 */
function ocio_user_directory_ctools_plugin_api($module = NULL, $api = NULL) {
  if ($module == "ds" && $api == "ds") {
    return array("version" => "1");
  }
  if ($module == "strongarm" && $api == "strongarm") {
    return array("version" => "1");
  }
}

/**
 * Implements hook_views_api().
 */
function ocio_user_directory_views_api($module = NULL, $api = NULL) {
  return array("api" => "3.0");
}

/**
 * Implements hook_image_default_styles().
 */
function ocio_user_directory_image_default_styles() {
  $styles = array();

  // Exported image style: user_picture.
  $styles['user_picture'] = array(
    'label' => 'User Picture',
    'effects' => array(
      4 => array(
        'name' => 'manualcrop_crop_and_scale',
        'data' => array(
          'width' => 200,
          'height' => 286,
          'upscale' => 0,
          'respectminimum' => 1,
          'onlyscaleifcrop' => 0,
          'style_name' => 'user_picture',
        ),
        'weight' => 1,
      ),
    ),
  );

  // Exported image style: user_picture_thumbnail.
  $styles['user_picture_thumbnail'] = array(
    'label' => 'User Picture Thumbnail',
    'effects' => array(
      3 => array(
        'name' => 'image_scale_and_crop',
        'data' => array(
          'width' => 120,
          'height' => 172,
        ),
        'weight' => 2,
      ),
    ),
  );

  return $styles;
}
