(function($) {
	$(document).ready(function(){
    // Apply jQuery UI Accordion behaviors to specifically classed elements.

  var collection = [];
  $('.node .ui-accordion').each(function() {
    var nextBox = $(this).next().hasClass('ui-accordion');
    collection.push($(this));
    $(this).removeClass('ui-accordion').addClass('accordion-item');

    if(!nextBox) {
      var container = $('<div class="ui-accordion"></div>');
      container.insertBefore(collection[0]);
      for(i=0;i<collection.length;i++) {
        collection[i].appendTo(container);
      }
      collection = [];
    }
  });

  $('.node .ui-accordion').accordion({
    header: ".ui-accordion-header",
    collapsible: true,
    active: false,
    animate: true,
    autoHeight: false,
    });
	});
}(jQuery));
